"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const basicHost_1 = __importDefault(require("./basicHost"));
class BitBucket extends basicHost_1.default {
    get separateFolder() {
        return "src";
    }
    get name() {
        return "BitBucket";
    }
    match(url) {
        return url.indexOf("bitbucket") >= 0;
    }
    assemble(info) {
        const link = this.assembleLink(info);
        let fileName = null;
        if (info.relativeFilePath) {
            fileName = path.basename(info.relativeFilePath);
        }
        if (info.section &&
            info.section.startLine &&
            info.section.endLine &&
            info.section.startLine !== info.section.endLine &&
            fileName) {
            return `${link}#${fileName}-${info.section.startLine}:${info.section.endLine}`;
        }
        else if (info.section && info.section.startLine && fileName) {
            return `${link}#${fileName}-${info.section.startLine}`;
        }
        else {
            return link;
        }
    }
}
exports.default = BitBucket;
//# sourceMappingURL=bitbucket.js.map