import { GitConfigInfo, GitUrlInfo } from "../info";
import BasicHost from "./basicHost";
export default class DevOps extends BasicHost {
    /**
     * The regular expression to match the DevOps Git URL.
     * @example https://my-tenant@dev.azure.com/my-org/my-project/_git/my-repo
     * @example https://dev.azure.com/my-org/my-project/_git/my-repo
     * @example my-tenant@ssh.dev.azure.com:22/my-org/my-project/my-repo
     */
    private static urlRegex;
    protected get separateFolder(): string | undefined;
    get name(): string;
    match(url: string): boolean;
    parse(configInfo: GitConfigInfo): GitUrlInfo;
    assemble(info: GitUrlInfo): string;
}
