"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const basicHost_1 = __importDefault(require("./basicHost"));
class GitHub extends basicHost_1.default {
    get separateFolder() {
        return "blob";
    }
    get name() {
        return "GitHub";
    }
    match(url) {
        return url.indexOf("github") >= 0;
    }
    assemble(info) {
        const link = this.assembleLink(info);
        if (info.section &&
            info.section.startLine &&
            info.section.endLine &&
            info.section.startLine !== info.section.endLine) {
            return `${link}#L${info.section.startLine}-L${info.section.endLine}`;
        }
        else if (info.section && info.section.startLine) {
            return `${link}#L${info.section.startLine}`;
        }
        else {
            return link;
        }
    }
}
exports.default = GitHub;
//# sourceMappingURL=github.js.map