import { GitUrlError } from "./error";
export interface GitRemote {
    name: string;
    url: string;
}
export declare type GitUrlResult = Ok<GitRemote, GitUrlError> | Err<GitRemote, GitUrlError>;
export declare const ok: <T, E = never>(value: T) => Ok<T, E>;
export declare const err: <T = never, E = unknown>(error: E) => Err<T, E>;
interface IResult<T, E> {
    isOk(): this is Ok<T, E>;
    isErr(): this is Err<T, E>;
    _unsafeUnwrap(): T;
}
declare class Ok<T, E> implements IResult<T, E> {
    readonly value: T;
    constructor(value: T);
    isOk(): this is Ok<T, E>;
    isErr(): this is Err<T, E>;
    _unsafeUnwrap(): T;
}
declare class Err<T, E> implements IResult<T, E> {
    readonly error: E;
    constructor(error: E);
    isOk(): this is Ok<T, E>;
    isErr(): this is Err<T, E>;
    _unsafeUnwrap(): T;
}
export {};
