"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs-extra"));
const path = __importStar(require("path"));
const src_1 = __importDefault(require("../src"));
const testDir = fs.mkdtempSync("test");
const configPath = path.resolve(testDir, ".git/config");
const headPath = path.resolve(testDir, ".git/HEAD");
describe("valid config", () => {
    const configContent = `
[remote "ssh"]
    url = git@github.com:qinezh/vscode-gitlink
    fetch = +refs/heads/*:refs/remotes/origin/*
[branch "main"]
    remote = origin
    merge = refs/heads/main
[remote "https"]
    url = https://github.com/qinezh/vscode-gitlink.git
    fetch = +refs/heads/*:refs/remotes/https/*`;
    const headContent = `ref: refs/heads/main`;
    beforeAll(() => __awaiter(void 0, void 0, void 0, function* () {
        yield fs.ensureDir(path.resolve(testDir, ".git"));
        yield fs.writeFile(configPath, configContent);
        yield fs.writeFile(headPath, headContent);
    }));
    afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
        yield fs.remove(testDir);
    }));
    test("parse git config", () => __awaiter(void 0, void 0, void 0, function* () {
        const mapping = yield src_1.default["parseConfigAsync"](testDir);
        const sshInfo = mapping.get("ssh");
        const sshExpected = {
            remoteName: "ssh",
            remoteUrl: "git@github.com:qinezh/vscode-gitlink",
            ref: { type: "branch", value: "main" },
        };
        expect(sshInfo).toEqual(sshExpected);
        const httpsInfo = mapping.get("https");
        const httpsExpected = {
            remoteName: "https",
            remoteUrl: "https://github.com/qinezh/vscode-gitlink.git",
            ref: { type: "branch", value: "main" },
        };
        expect(httpsInfo).toEqual(httpsExpected);
    }));
});
//# sourceMappingURL=helper.test.js.map