"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const error_1 = require("../src/error");
const hostBuilder_1 = require("../src/host/hostBuilder");
test("parse valid config info", () => __awaiter(void 0, void 0, void 0, function* () {
    const configInfo = {
        remoteName: "origin",
        remoteUrl: "https://github.com/qinezh/vscode-gitlink.git",
        ref: { type: "branch", value: "main" },
        relativeFilePath: "test/a.md",
    };
    const host = hostBuilder_1.hostBuilder.create(configInfo);
    const gitInfo = host.parse(configInfo);
    expect(gitInfo.hostName).toEqual("github.com");
    expect(gitInfo.userName).toEqual("qinezh");
    const url = host.assemble(gitInfo);
    expect(url).toEqual("https://github.com/qinezh/vscode-gitlink/blob/main/test/a.md");
}));
test("parse invalid config info", () => __awaiter(void 0, void 0, void 0, function* () {
    const configInfo = {
        remoteName: "origin",
        remoteUrl: "https:/git.heroku.com/vscode-gitlink.git",
        ref: { type: "branch", value: "main" },
        relativeFilePath: "test/a.md",
    };
    const host = hostBuilder_1.hostBuilder.create(configInfo);
    expect(() => host.parse(configInfo)).toThrow(error_1.GitUrlError);
}));
//# sourceMappingURL=host.test.js.map